<?php
class ControllerModuleCategorysales extends Controller {
	protected function index($setting) {
		$this->language->load('module/category_sales');

    	$this->data['heading_title'] = $this->language->get('heading_title');
    	$this->data['text_countdown'] = $this->language->get('text_countdown');

		$this->data['categories'] = array();

		$categories = $setting['categories'];
		$this->load->model('module/category_sales');
		$this->load->model('tool/image');


		foreach($categories as $key => $category){
            $dates = $this->model_module_category_sales->getCategoryLastSpecial($key);
            $price = '';
            if($category['price'] == 1){
            	$prices = $this->model_module_category_sales->getCategoryCheapest($key);
            	if(isset($prices['lowerPrice'])){
            		$price = $this->language->get('text_price_min').$this->currency->format($prices['lowerPrice']);
            	}
            }elseif($category['price'] == 2){
            	$prices = $this->model_module_category_sales->getCategoryBiggestDiscount($key);
            	if(isset($prices['lowerPrice'])){
            		$price = $this->language->get('text_price_max').$this->currency->format($prices['lowerPrice']);
            	}
            }
			$this->data['categories'][] = array("href" => $this->url->link('product/category', 'path='.$key),
											"image" => $this->model_tool_image->resize($category['image'], 375, 250),
											"name"	=> $category['name'],
											"date_end" => ((isset($dates['date_end'])) ? $dates['date_end'] : 0 ),
											"category_id"	=> $key,
											"price"		=> $price
											);
		}


		if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/module/category_sales.tpl')) {
			$this->template = $this->config->get('config_template') . '/template/module/category_sales.tpl';
		} else {
			$this->template = 'default/template/module/category_sales.tpl';
		}

		$this->render();
  	}

}
?>